Subject: Re: external IRQ's

From: Scott Wood <[email-masked]>
Date: Thu, 16 Aug 2007 16:43:02 -0500

robert lazarski wrote:
> Why <1d 2 1e 2 22 2> ? I can't seem to parse these numbers

They alternate between IRQ numbers and level/sense information, and the 
IRQ numbers are the internal IRQ number plus 16.

> - how do I
> know what to use for my external interupts 1,2 for phy's 0,1 using a
> 88E1121R and for external interupts 3,4 for phy's 2,3 using a 88E1111
> ?

I thought it was interrupts 0-3, not 1-4?

If, like the CDS board, you have level-triggered active-low phy 
interrupts, then <0 1>, <1 1>, <2 1>, and <3 1>.  If not, then choose an 
appropriate value for the second cell based on booting-without-of.txt.

-Scott